Subject: Re: [PATCH net-next 0/4] RDMA/net/ionic: Misc updates

From: Leon Romanovsky <[email-masked]>
Date: Thu, 14 May 2026 19:40:29 +0300

On Thu, May 14, 2026 at 08:03:09PM +0530, Abhijit Gangurde wrote:
> 
> On 5/7/26 04:29, Jakub Kicinski wrote:
> > On Tue, 5 May 2026 21:19:31 -0700 Eric Joyner wrote:
> > > Other smaller additions add a devlink parameter to the ionic ethernet
> > > driver for enabling and disabling RDMA,
> > My understanding is that the devlink param was expected to change
> > the configuration of the device. IOW user can enable/disable RDMA
> > to save internal device resources. You seem to be purely preventing
> > the auxbus device to be added. So there's nothing gained here compared
> > to simply not loading the RDMA driver. What am I missing?
> You're right that the current implementation controls only the auxiliary bus
> device registration and doesn't reconfigure firmware resource allocation.
> The intent behind this devlink param is to provide per-device granularity
> for enabling/disabling RDMA. In a system with multiple ionic NICs, an
> administrator may want RDMA active on some devices but not others.
> That said, if this per-device control justification is sufficient on its
> own, or if firmware-side changes are a hard requirement for this to be
> acceptable?

I'm confident that the administrator can vibe code an appropriate udev
rule and disable autoprobing for this case.

The real advantage of a devlink knob here is the ability to control the
firmware.

Thanks

> Thanks,
> Abhijit